List of Figures

Figure 2-1. Import Hyperion Planning Targets Dialog Box 7

Figure 2-2. Define DSN Dialog Box 9

Figure 2-3. UDA Target 10

Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
NEXT


Understanding the Hyperion Data Integration Management Adapter for Planning

This chapter covers the following topics:

  • Hyperion Data Integration Management Adapter for Planning Overview
  • Working with the DIM Adapter for Planning
Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV NEXT


Hyperion Data Integration Management Adapter for Planning Overview

The Oracle's Hyperion® Data Integration Management Adapter for Planning enables administrators to define target tables for loading data and metadata into Oracle® Hyperion Planning, Fusion Edition and use the target tables in workflows.

You can perform these tasks:

  • Load data and metadata into Planning
  • Load data into custom and attribute dimensions
  • Add UDAs to dimensions

You can perform those tasks for these applications:

  • Planning
  • Oracle® Hyperion Workforce Planning, Fusion Edition
  • Oracle® Hyperion Capital Asset Planning, Fusion Edition

Using the Planning connection type, you can create Planning connection objects to specify Planning connection information for each target that you use in a session.


Working with the DIM Adapter for Planning

You use these items to work with the DIM Adapter for Planning:

  • Target Designer—The Targets menu of Warehouse Designer (in Data Integration Management) includes the Import from Hyperion Planning command for use with the DIM Adapter for Planning. Selecting this command displays the Import Hyperion Planning Targets dialog box, which you use to connect to an application and import targets.
  • Target tables—The Writer plug-in can load these target table types:
    • Accounts
    • Employees
    • Entities
    • User-defined dimensions
    • Attributes
    • UDAs
  • Connection objects—You create connection objects in Workflow Manager for connecting to Planning applications. You can then select a connection object at runtime to configure the Planning targets for a session.


Using Target Designer

This chapter covers the following topics:

  • Target Designer Overview
  • Import Hyperion Planning Targets
  • Define DSN
  • Creating UDA Targets


Target Designer Overview

The Targets menu in Warehouse Designer includes the Import from Hyperion Planning command for use with the DIM Adapter for Planning. When you select this option, the Import Hyperion Planning Targets dialog box is displayed.


Import Hyperion Planning Targets

Import Hyperion Planning Targets is displayed when you select Import from Hyperion Planning from the Targets menu of Warehouse Designer in Informatica PowerCenter.

Figure 2-1. Import Hyperion Planning Targets Dialog Box

Import Hyperion Planning Targets contains these controls:

  • DSN Information

    Clicking the Down Arrow to the right of the DSN box displays a list of DSNs that you can select to connect to Planning. Server, Application, and User Name show the values for the selected DNS.

    You can select <Create new DSN record...> and click the ellipses (…) button to the right of the Down Arrow to display the Define DSN dialog box and define a new DSN.

    You can select the DSN you want to edit and click the ellipses (…) button to the right of the Down Arrow to display the Define DSN dialog box and edit the DSN.

    Clicking the Delete button to the right of the ellipses (...) button deletes the selected DSN.

    Enter your password for the selected DSN in Password, and click Connect to connect to Planning with that DSN.

  • Targets

    When you connect to Planning, the Targets table lists the custom and attribute dimensions that you can select as targets:

    • Use the check boxes in the first column to select targets.

      Note: Use the Select All and Unselect All buttons below the grid to select or clear all check boxes in the first column.

    • The Dimension column lists the available custom and attribute dimensions.
    • The Table Name column lists the target tables to be created. The default name for all tables is ApplicationName:DimensionName, which you can change.
  • Create UDA Target

    When you select this check box, a UDA target is created in Target Designer with default table name UDA. See Creating UDA Targets.

Managing Sorting and Loading Order for Dimension Members

The options Sort in Parent/Child Order and Load Order by Input are now available as attribute options Sort by parent and Load order by input respectively.

To access the attribute options—Sort by parent and Load order by input:

Note: See the topic Mapping Tab under topic Session Properties Reference in the Informatica PowerCenter Workflow Administration Guide help file and complete the prerequistes.

  1. Open the WorkflowManager.
  2. In Workflow Manager, open the Workflow Designer.
  3. Choose a session that contains a Planning target.
  4. Select Tasks > Edit.

    The Edit Tasks dialog box appears.

  5. In the Edit Tasks dialog box, select the Mapping tab.
  6. In the Mapping tab, under Targets select a Planning target.

    The attribute options Sort by parent and Load order by input are available under Properties.

    • Select the option Sort by parent to enable the adapter to sort all incoming records by parent and then by child, and then load the records.

      Note: Loads take much longer if this option is selected, so do not select it if the data is already sorted or if you want to add all members to the root dimension.

    • Select the option Load order by input to enable the adapter to load all incoming records in the outline in the order that they are received; however, if this option is not selected the adapter searches for the member name in the outline and loads the record.

Note: The Sort by parent and Load order by input options are selectable for dimensions other than attribute dimensions.


Define DSN

Selecting <Create new DSN record...> in the DSN drop-down and Clicking the ellipses button in Import Hyperion Planning Targets displays Define DSN, which you use to create a DSN for connecting to Planning.

Figure 2-2. Define DSN Dialog Box

Define DSN has these controls:

  • DSN Information-Enter a name and description for the new DSN.
  • Server Information-Enter the Planning server name and the RMI port (default value set is 11333) for the Planning server. Then click Get Applications to retrieve the list of applications on the server.
  • Application Information-Select an application, then enter your user name and password for that application. You can click Test Connectivity to test your access to the Planning application with the user name and password.

After entering the required information and testing your access to the application, click OK to create the DSN.


Creating UDA Targets

When you select Create UDA Target in the Import Hyperion Planning Targets dialog box, a UDA target is created in Target Designer with default table name UDA. The fields for UDA import are fixed.

Figure 2-3. UDA Target


Target Tables

This chapter covers the following topics:

  • Target Tables Overview
  • Accounts Table
  • Employee Table
  • Entities Table
  • User-Defined Dimensions Table
  • Attribute Dimensions Table
  • UDA Table


Target Tables Overview

The DIM Adapter for Planning Writer plug-in loads these table types:

  • Accounts (See Accounts Table.)
  • Employee (See Employee Table.)
  • Entities (See Entities Table.)
  • User-Defined Dimensions (See User-Defined Dimensions Table.)
  • Attributes (See Attribute Dimensions Table.)
  • UDA (See UDA Table.)

For all custom dimension targets, all field names are received dynamically from Planning. All custom dimension targets can load both metadata and data. Before you can load data, the data load and driver dimensions must be set up in Planning.


Accounts Table

For all custom dimension targets, you can load metadata and data. Before you can load data, the data load and driver dimensions must be set up in Planning.

See these topics regarding ports for loading metadata and data into the Accounts dimension:

  • Account
  • Parent
  • Default Alias
  • Valid for Consolidation
  • Additional Alias
  • Data Storage
  • Two Pass Calculation
  • Account Type
  • Time Balance
  • Skip Value
  • Data Type
  • Exchange Rate Type
  • Use 445
  • Variance Reporting
  • Source Plan Type
  • Plan Type (Plan Type Name)
  • Aggregation (Plan Type Name)
  • Plan Type (Wrkforce)
  • Aggregation (Wrkforce)
  • Plan Type (Capex)
  • Aggregation (Capex)
  • Custom Attribute
  • Member Formula
  • UDA
  • Smart Lists
  • Description
  • Operation


Employee Table

The Employee table is available for loading metadata and data into Workforce Planning applications.

Note: Initialize a Workforce Planning application to display the Employee table in the DIM Adapter for Planning. For instructions, see the Oracle Hyperion Workforce Planning, Fusion Edition Administrator's Guide.

See these topics regarding ports for loading metadata and data into the Employee dimension:

  • Employee
  • Parent
  • Default Alias
  • Additional Alias
  • Data Storage
  • Valid for Consolidation
  • Two Pass Calculation
  • Data Type
  • Custom Attribute
  • Aggregation (Plan Type Name)
  • Aggregation (Wrkforce)
  • Aggregation (Capex)
  • Member Formula
  • UDA
  • Smart Lists
  • Description
  • Operation


Entities Table

See these topics regarding ports for loading metadata and data into the Entities dimension:

  • Entity
  • Parent
  • Default Alias
  • Additional Alias
  • Valid for Consolidation
  • Data Storage
  • Two Pass Calculation
  • Data Type
  • Base Currency
  • Plan Type (Plan Type Name)
  • Aggregation (Plan Type Name)
  • Plan Type (Wrkforce)
  • Aggregation (Wrkforce)
  • Plan Type (Capex)
  • Aggregation (Capex)
  • Custom Attribute
  • Member Formula
  • UDA
  • Smart Lists
  • Description
  • Operation


User-Defined Dimensions Table

See these topics regarding ports for loading metadata and data into the user-defined dimensions:

  • Custom
  • Parent
  • Default Alias
  • Additional Alias
  • Valid for Consolidation
  • Data Storage
  • Two Pass Calculation
  • Data Type
  • Aggregation (Plan Type Name)
  • Aggregation (Wrkforce)
  • Aggregation (Capex)
  • Member Formula
  • UDA
  • Smart Lists
  • Description
  • Operation


Attribute Dimensions Table

See these topics regarding ports for loading metadata and data into attribute dimensions:

  • Custom Attributes
  • Parent
  • Default Alias
  • Additional Alias
  • Operation


UDA Table

Use the UDA table to define UDAs for dimensions in Planning applications that do not have UDAs assigned to them. You can add UDAs only to dimensions that exist in Planning. See these topics for descriptions of ports for adding UDAs:

  • Dimension
  • UDA
  • Operation


Ports

This chapter covers the following topics:

  • Ports Overview
  • Account
  • Parent
  • Default Alias
  • Operation
  • Additional Alias
  • Data Storage
  • Two Pass Calculation
  • Account Type
  • Time Balance
  • Skip Value
  • Data Type
  • Exchange Rate Type
  • Use 445
  • Variance Reporting
  • Source Plan Type
  • Plan Type (Plan Type Name)
  • Aggregation (Plan Type Name)
  • Plan Type (Wrkforce)
  • Aggregation (Wrkforce)
  • Plan Type (Capex)
  • Aggregation (Capex)
  • Custom Attribute
  • Member Formula
  • Smart Lists
  • Description
  • Employee
  • Valid for Consolidation
  • Entity
  • Base Currency
  • Custom
  • Custom Attributes
  • Dimension
  • UDA


Ports Overview

Target tables have ports for specifying the data that you are loading into Planning applications. For example, in the Entities table, you use the Entity port to specify which entity you are loading, the Parent port to specify the parent for the entity, the default alias port to specify an alternate name for the entity, and so forth.


Account

The Account port takes the name of the account member that you are loading. If this member exists, its properties are modified. If the member does not exist, then the record is added. This port is required.

The value for this port must meet these requirements for a successful load:

    • Unique
    • Alphanumeric
    • Not more than 80 characters
    • Member name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
    • Member name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
    • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.


Parent

The Parent port takes the name of the parent of the member that you are loading. It is used to create the hierarchy in the dimension.

When you update a member of an application using the Load method and specify a parent member that is different than the parent member in the application, the member is updated with the new parent value specified in your flow diagram.

For example, if Member 1 has a parent value of Member A in your Planning application and you load Member 1 with a parent value of Member B, the system updates your application, making Member B the parent of Member 1. Member 1 and its descendants are moved from Member A to Member B. If the port is left blank, it is ignored during the load.

Note: The record is not loaded if the parent specified is a descendant of the member being loaded or does not exist in the Planning application.


Default Alias

The default alias port takes an alternate name for the member being loaded. If you modify properties and do not specify a value, the alias is not changed in the Planning application. If you specify <NONE> or <none> as the value, the alias in the Planning application is deleted.

The value for this port must meet the following requirements for a successful load:

  • Unique
  • Alphanumeric
  • Not more than 80 characters
  • Contains no tabs, double quotation marks ("), or backslash (\) characters.
  • Member name cannot start with these characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word, such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.

Default: A null string.


Operation

The Operation port takes any of the following values:

  • Update–Adds, updates, or moves the member being loaded
  • Delete Level 0–Deletes the member being loaded if it has no children
  • Delete Idescendants–Deletes the member being loaded and all of its descendants
  • Delete Descendants–Deletes the descendants of the member being loaded, but does not delete the member itself

Default: Update.

Note: If you delete a member, that member, its data, and any associated planning units are permanently removed and cannot be restored.


Additional Alias

Additional alias ports can take alternate names for the member being loaded. The name of each additional alias port reflects the name of an alias table.

Except with attribute dimension loads, the number of alias ports equals the number of alias tables defined in Planning. For attribute dimension loads, the number of alias ports equals the number of alias tables associated with the dimension.

The value for multiple alias ports must conform to the same requirements as those listed for the default alias port.


Data Storage

The Data Storage port takes the storage attribute for the member being loaded.

Valid values:

  • Store
  • Dynamic Calc
  • Dynamic Calc and Store
  • Shared
  • Never Share
  • Label Only

Default: Never Share.

This value is passed as a string.


Two Pass Calculation

The Boolean value for the Two Pass Calculation port indicates whether the Two Pass Calculation attribute is associated with the member being loaded.

Valid values: 0 for False and any other number for True. Default: False.

Values are valid only when the Data Storage value is Dynamic Calc or Dynamic Calc and Store. Otherwise, the record is rejected.


Account Type

The Account Type port takes the account type of the member being loaded.

Valid values: Revenue, Expense, Asset, Liability, Equity, and Saved Assumption. The default is taken from the parent of the member being loaded; the default is Revenue if the member is being added to the root dimension.


Time Balance

The value in the Time Balance port determines how account data flows over time. Valid values for the Time Balance port are Flow, First, Balance, Average, and the averaging options Actual_365 and Actual_Actual. (Actual_365 assumes the actual number of days in each month and 28 days in February; Actual_Actual accounts for 29 days in February during leap years.)

The default is taken from the parent of the member being loaded; the default is Flow if the member is being added to the root dimension. Default values of Time Balance for account types:

  • Revenue—Flow
  • Expense—Flow
  • Asset—Balance
  • Liability—Balance
  • Equity—Balance

This value is passed as a string.

Note: When Time Balance is Flow, records with any valid Skip Values are loaded, but Skip Value is disabled for all account types.


Skip Value

The Skip Value port takes the skip option that is set for the Time Balance property. When the Time Balance property is set to First, Balance, or Average, these skip options are available:

  • None–Indicates that zeros and #missing value are considered when the parent value is calculated.
  • Missing–Excludes #missing values when calculating parent values.
  • Zeros–Excludes zero values when calculating parent values.
  • Missing and Zeros–Excludes #missing and zero values when calculating parent values.

Note: When Time Balance is Flow, records with any valid Skip Values are loaded, but Skip Value is disabled for all Account types.


Data Type

The Data Type port takes the data storage value. Valid values:

  • Currency–Stores and displays the member's value in the default currency
  • Non-currency–Stores and displays the member's value as a numeric value
  • Percentage–Stores values as numeric values and displays the member's value as a percentage
  • Smart List–Stores values as numeric values and displays the member's value as a string
  • Date–Stores and displays the member's value in the format mm/dd/yyyy or dd/mm/yyyy
  • Text–Stores and displays the member's value as text
  • Unspecified-Stores and displays the member's value as "unspecified"

The default value is taken from the parent of the member being loaded. The default is Currency if an Accounts member is being added to the root dimension; for Entities and user-defined dimensions, the default is Unspecified.


Exchange Rate Type

The Exchange Rate Type port takes the exchange rate. This port is dependent on the value specified for the Data Type port.

Valid values:

  • Average, Ending, and Historical when Data Type is equal to Currency
  • None when Data Type is Non-currency or Percentage

The default value is taken from the parent of the member being loaded or, if the member is being added to the root dimension, it is based on the account type and takes one of these values:

  • Revenue–Average
  • Expense–Average
  • Asset–Ending
  • Liability–Ending
  • Equity–Ending
  • Saved Assumption–None


Use 445

The Use 445 port indicates the distribution selected in the Planning application. If the application has no distribution, this port is not displayed. The value for this port must meet the following requirements for a successful load:

  • Not Required
  • Valid values are 0 and 1 (or any number other than 0). The default value is 1.


Variance Reporting

The Variance Reporting port takes a value for account members with an account type of Saved Assumption or if the record is rejected.

Valid values:

  • Expense–Designates the saved assumption as an expense. The actual amount is subtracted from the budgeted amount to determine the variance.
  • Non-Expense–Designates the saved assumption as revenue. The budgeted amount is subtracted from the actual amount to determine the variance.

The default value is taken from the parent of the member being loaded or, if the member is being added to the root dimension, it is based on the value of the Account type.

Values for account types:

  • Revenue-Non–Expense
  • Expense–Expense
  • Asset–Non-Expense
  • Liability–Non-Expense
  • Equity–Non-Expense


Source Plan Type

The Source Plan Type port takes a plan type name for the plan type assigned to the member being loaded. Valid values are any plan types specified in Planning application.

The default is taken from the parent of the member being loaded. If the source plan of the parent is not valid for the member, the specified plan type is not selected for the member in the application, and the first plan type that the member is used in is used. If the member is being loaded to the root dimension, the first plan type the member is used in is used.

When you update or save the parent of a member, the system verifies if the Source Plan Type associated with the member being loaded is valid for the new parent. If the member's source plan type is not a valid plan type of its parent member, you receive the error message, "The source plan type is not in the subset of valid plan types."

If the source plan type of a member is valid for the parent member but not for the member itself, the member is saved but its source plan type is set to the first valid plan type (in the order Plan 1, Plan 2, Plan 3, Wrkforce, Capex).

Note: If a Source Plan Type is specified in the adapter but is not valid for the parent, the record is rejected.


Plan Type (Plan Type Name)

The Boolean value of Plan Type (Plan Type Name) port indicates whether the member being loaded is used in the specified plan.

Valid values: 0 for False; any other number for True. Default: True.

The name of the port depends on the name of the plan type in the Planning application.


Aggregation (Plan Type Name)

The Aggregation (Plan Type Name) port takes the aggregation option for the member being loaded as related to the specified plan. This port is available only if the Planning application is valid for this plan type. The name of the port depends on the name of the plan type in the Planning application.

This value is passed as a string. Valid values:

  • + (Addition)
  • - (Subtraction)
  • * (Multiplication)
  • / (Division)
  • % (Percent)
  • ~ (Ignore during consolidation)
  • Never (Do not aggregate, regardless of hierarchy)

Default: +


Plan Type (Wrkforce)

The Plan Type (Wrkforce) port is a Boolean value indicating whether the member being loaded is used in Workforce Planning.

Valid values: 0 for False; any other number for True. Default: True.

The actual name of the port depends on the name of the plan type in the Planning application.


Aggregation (Wrkforce)

The Aggregation (Wrkforce) port takes the aggregation option for the member being loaded as related to Workforce Planning. This port is available only if the Planning application is valid for this plan type. The name of the port depends on the name of the plan type in the Planning application.

Valid values:

  • + (Addition)
  • - (Subtraction)
  • * (Multiplication)
  • / (Division)
  • % (Percent)
  • ~ (Ignore during consolidation)
  • Never (Do not aggregate, regardless of hierarchy)

Default: +


Plan Type (Capex)

The Plan Type (Capex) port is a Boolean value that indicates if the member being loaded is used in Capital Asset Planning.

Valid values: 0 for False; any other number for True. Default: True.

The actual name of the port depends on the name of the plan type in the Planning application.


Aggregation (Capex)

The Aggregation (Capex) port takes the aggregation option for the member being loaded as related to Capital Asset Planning. This port is available only if the Planning application is valid for this plan type. The name of the port depends on the name of the plan type in the Planning application.

Valid values:

  • + (Addition)
  • - (Subtraction)
  • * (Multiplication)
  • / (Division)
  • % (Percent)
  • ~ (Ignore during consolidation)
  • Never (Do not aggregate, regardless of hierarchy)

Default: +


Custom Attribute

The Custom Attribute port takes the custom attribute member values. The name of the port depends on the name of the custom attribute in the Planning application. The number of Custom Attribute ports varies depending on the number of attributes defined for the Account dimension. If you modify properties and do not specify a value, the custom attribute is not changed in the Planning application. If you specify <NONE> or <none> as the value, then the custom attribute in the Planning application is deleted. This value is passed as a string.


Member Formula

The Member Formula port takes the member formula values defined for the member. By default, there is no member formula associated with a dimension or member. You cannot load member formulas for members that are Shared or Label Only.


Smart Lists

The Smart Lists port takes the name of a user-defined Smart List that is defined in the Planning application. This value is passed as a string. The default for Smart Lists is <None>. Smart Lists are used in a metadata or dimension load (not a data load) allowing you to define the association of the Smart List name (not the values) with a given member. You can have multiple Smart Lists associated with a dimension but only one Smart List associated with a member.

The following predefined Smart Lists are available in a Workforce Planning application:

  • None
  • Status
  • FT_PT
  • HealthPlan
  • TaxRegion
  • Month
  • Performance
  • Position
  • EmployeeType


Description

The Description port takes a description for the member that is being loaded.

Note: If you do not enter a value for this port or do not connect the port, a new member is loaded without a description, and the description of an existing member is unchanged. If you enter <NONE> as the value for this port, any existing description for the member is deleted and is not loaded with the member.


Employee

The Employee port takes the name of the member that you are loading. If this member exists, its properties are modified; otherwise, the record is added. This port is required in Employee tables.

The value for this port must meet these requirements for a successful load:

  • Unique
  • Alphanumeric
  • Not more than 80 characters
  • Member name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
  • Member name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.


Valid for Consolidation

The Valid for Consolidation port is ignored for all dimensions.


Entity

In the Entity port, enter the name of the member you are loading. If this member exists, its properties are modified; otherwise, the record is added. This port is required.

The value for this port must meet these requirements for a successful load:

  • Unique
  • Alphanumeric
  • Not more than 80 characters
  • Member name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
  • Member name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.


Base Currency

The Base Currency port is displayed only when the application is defined to be multi-currency. It takes the code of the currency for the entity that is being loaded, as defined in your Planning application.

Default value: USD.


Custom

In the Custom port, enter the name of the user-defined dimension member that you are loading. If this member exists, its properties are modified; otherwise, the record is added. This port is required.

The value for this port must meet these requirements for a successful load:

  • Unique
  • Alphanumeric
  • Not more than 80 characters
  • The member name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
  • Member name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.


Custom Attributes

In the Custom Attributes port, enter the attribute values that you are loading to the attribute dimension. If the attribute value exists, its properties are ignored since existing attribute values cannot be modified. If it does not exist, the member is added.

The value for this port must meet the following requirements for a successful load:

  • Unique
  • Alphanumeric
  • Not more than 80 characters
  • Member name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
  • Member name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, see the Oracle Essbase Database Administrator's Guide or Essbase online help.


Dimension

In the Dimension port, enter the dimension name for the UDA. You can associate UDAs only with dimensions that exist in the Planning application. If the UDA exists, its properties are modified; otherwise, the record is added. This port is required in UDA tables.


UDA

In the UDA port, enter the value of the UDA that you are loading. The value for this port must meet the following requirements for a successful load:

  • Alphanumeric
  • Not more than 80 characters
  • UDA name cannot contain tabs, double quotation marks ("), or backslash (\) characters.
  • UDA name cannot start with the following characters: ' \ < | , = @ _ + - { } ( ) .
  • Must not be an Essbase reserved word such as Children, Parent, $$$UNIVERSE$$$, #MISSING, or #MI. For more information about reserved words in Essbase, refer to the Oracle Essbase Database Administrator's Guide or Essbase online help.

Note: You must define the UDA for the members within Planning or by way of the UDA target.


Data Fields

This chapter covers the following topics:

  • Data Fields Overview
  • Data Fields Overview
  • Driver Member
  • Point-of-View


Data Fields Overview

Data fields are only shown for Planning applications that have been set up for data load.

These data fields are available:

  • Data Load Cube Name
  • Driver Member
  • Point-of-View


Data Load Cube Name

Data Load Cube Name takes the name of the plan type to which data is being loaded. The value is passed as a string. Valid values are any plan types specified in the Planning application. Example:

  • Plan1
  • Plan2
  • Plan3
  • Wrkforce
  • Capex


Driver Member

Driver Member takes the name of the driver member that is selected when setting up the Planning, Workforce Planning, or Capital Asset Planning application for loading data. You can have only a single driver dimension per load; however, you can define in the DIM Adapter for Planning multiple members in that single driver dimension. The driver members are the members into which the data is loaded. The number of driver member ports depends on the number of driver members you select in Planning. The value is passed as a string representing a numeric value or, if a Smart List is bound to the member represented on this port, a Smart List value.

Note: The Smart List field on this load method does not affect this port.


Point-of-View

Point-of-View takes the name of all the other dimensions that are required to determine the intersection to load the data. The value is passed as a string. The data load automatically performs cross-product record creations based on dimension parameters defined in the point of view. For example, if an employee's Smart List attribute values that are constant over time, such as full-time status for all 12 months, they need only be supplied once in the data load. The load file creates and loads that data record for each relevant cell intersection.


Connection Objects

This chapter covers the following topics:

Connection Objects Overview

Creating Connection Objects


Connection Objects Overview

A connection object contains specific information for connecting to Planning applications at runtime. You create connection objects in the Workflow Manager, using the Hyperion Planning Connection connection type. You can then select these objects from a list of available connections when you configure the Planning targets for a session.


Creating Connection Objects

To create a connection object:

  1. In the Application Connection Browser, select the Hyperion Planning Connection type.

  2. Click New.
  3. Enter your user name and password for the Planning application, and then enter the host name, RMI port, and name for the application.

  4. Click OK.


Enabling the Refresh Database Feature

After a metadata load or a Planning administration task such as security load, Planning must refresh data in Essbase so that so the two applications are synchronized. You can enable the Refresh Database property in the Planning adapter so that the adapter refreshes the data at the end of any metadata operation on the Planning target. Successful refreshes and error messages are recorded in the adapter session log.

By default, the Refresh Database property is disabled, because the adapter is compatible with Planning releases earlier than 9.3.1 that do not support this property. If you enable the property when using the adapter with a release that does not support it, error messages are produced when the adapter attempts to refresh the database.

To enable the Refresh Database property for a session:

  1. In Workflow Manager, right-click the session and select Edit.
  2. Click the Mapping tab.
  3. Select a Planning target.
  4. Check the Refresh Database box.
Informatica Corporation
http://www.informatica.com
Voice: (650) 385-5000
Fax: (650) 385-5500
PREV